> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video

> OpenAI-compatible video generation API.

Reference documentation: https://platform.openai.com/docs/api-reference/videos/create




## OpenAPI

````yaml api-reference/openapi.json post /v1/videos
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/videos:
    post:
      tags:
        - Sora Video Task
      summary: 'Create Video '
      description: >
        OpenAI-compatible video generation API.


        Reference documentation:
        https://platform.openai.com/docs/api-reference/videos/create
      operationId: createVideo
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                model:
                  description: model name
                  type: string
                prompt:
                  description: Prompt words
                  type: string
                seconds:
                  description: Generation seconds
                  type: string
                input_reference:
                  format: binary
                  type: string
                  description: Reference image file
            examples:
              Default:
                summary: examples
                value:
                  model: sora-2
                  prompt: cute cat dance
                  seconds: '8'
      responses:
        '200':
          description: Successfully created video task
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Video ID
                  object:
                    type: string
                    description: object type
                  model:
                    type: string
                    description: Model used
                  status:
                    type: string
                    description: Task status
                  progress:
                    type: integer
                    description: Progress percentage
                  created_at:
                    type: integer
                    description: Create timestamp
                  seconds:
                    type: string
                    description: Video length
                  completed_at:
                    type: integer
                    description: Completion timestamp
                  expires_at:
                    type: integer
                    description: Expiration timestamp
                  size:
                    type: string
                    description: Video size
                  error:
                    $ref: '#/components/schemas/OpenAIVideoError'
                  metadata:
                    type: object
                    description: Additional metadata
                    additionalProperties: true
                    properties: {}
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
              example:
                id: sora-2-123456
                object: video
                model: sora-2
                status: queued
                progress: 0
                created_at: 1764347090922
                seconds: '8'
          headers: {}
        '400':
          description: Incorrect request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    OpenAIVideoError:
      type: object
      description: OpenAI error message
      properties:
        message:
          type: string
          description: error message
        code:
          type: string
          description: code
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: error message
            type:
              type: string
              description: error type
            param:
              type: string
              description: error param
              nullable: true
            code:
              type: string
              description: code
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````